Bug 1482139 - Review Request: python3-kitchen - Small, useful pieces of code to make python coding easier
Summary: Review Request: python3-kitchen - Small, useful pieces of code to make python...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-16 14:28 UTC by Aurelien Bompard
Modified: 2017-09-22 08:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 08:54:34 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Aurelien Bompard 2017-08-16 14:28:40 UTC
Spec URL: https://abompard.fedorapeople.org/reviews/python3-kitchen/python3-kitchen.spec
SRPM URL: https://abompard.fedorapeople.org/reviews/python3-kitchen/python3-kitchen-1.2.4-1.el7.centos.src.rpm
Description:
This package is identical to the python-kitchen that is already in Fedora. The only purpose of this new package is to be built for Python 3 in EPEL7+, since python-kitchen is already in RHEL for Python 2.

Fedora Account System Username: abompard

Comment 1 Robert-André Mauchin 2017-08-25 14:13:49 UTC
Hello,


 - Version 1.2.5 has been published on August the 24th (i.e. yesterday), please update the package accordingly.

 - python3-kitchen.noarch: E: incorrect-fsf-address /usr/share/licenses/python3-kitchen/COPYING

  The FSF address is incorrect in the COPYING file. Please report a bug upstream, as per https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address


None of this is really blocking, so the package is accepted. Just don't forget to bump the version.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "PSF (v2)", "LGPL (v2.1 or later)", "*No copyright* PSF (v2)
     LGPL (v2 or later)", "Unknown or generated". 119 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python3-kitchen/review-
     python3-kitchen/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-kitchen-1.2.4-1.fc28.noarch.rpm
          python3-kitchen-1.2.4-1.fc28.src.rpm
python3-kitchen.noarch: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
python3-kitchen.noarch: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python3-kitchen.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
python3-kitchen.noarch: E: incorrect-fsf-address /usr/share/licenses/python3-kitchen/COPYING
python3-kitchen.src: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
python3-kitchen.src: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
python3-kitchen.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
python3-kitchen.src: W: invalid-url Source1: kitchen-1.2.4-doc.tar.gz
2 packages and 0 specfiles checked; 1 errors, 7 warnings.

Comment 2 Robert-André Mauchin 2017-08-25 14:59:20 UTC
I forgot something: you download the docs as Source1: but you don't seem to add them in %doc, or in the separate package. Please fix this.

Comment 3 Aurelien Bompard 2017-08-26 15:45:05 UTC
I updated to 1.2.5. I would normally try to follow the RHEL version, but the version currently in RHEL (1.1.1) does not support Python3, so I can't.

Updating to 1.2.5 fixed the docs issue, but I can't build them with Sphinx yet (we don't have the Python3 version of Sphinx in EPEL yet) so I just included the RST files.

I reported the COPYING bug: https://github.com/fedora-infra/kitchen/issues/23

Thanks a lot for the review.

Comment 4 Gwyn Ciesla 2017-08-28 11:41:28 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-kitchen

Comment 5 Aurelien Bompard 2017-08-29 12:30:57 UTC
Since it's a package for EPEL only, switching the Bugzilla category. Sorry for the mistake.

Comment 6 Fedora Update System 2017-09-05 13:03:33 UTC
python3-kitchen-1.2.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-613440a77c

Comment 7 Fedora Update System 2017-09-07 12:18:21 UTC
python3-kitchen-1.2.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-613440a77c

Comment 8 Fedora Update System 2017-09-22 08:54:34 UTC
python3-kitchen-1.2.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.